/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-08-23
 * 描述            ：现货信息表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Slm.ProductManagement.vo;
import java.io.Serializable;
import java.util.Date;

import market.Slm.ProductManagement.mapper.SlmProductMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_PRODUCT", namespace=SlmProductMapper.class)
public class SlmProduct extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -631576686250743840L;

	/** 
	 * null
	 */ 
	@Id
	private String id;
	public String getId() {
		return this.id;
	}
	public void setId(String id) {
		this.id = id;
	}

	/** 
	 * 产品大类
	 */ 
	@Column
	private String product_first_name;
	public String getProduct_first_name() {
		return this.product_first_name;
	}
	public void setProduct_first_name(String product_first_name) {
		this.product_first_name = product_first_name;
	}

	/** 
	 * 产品大类编号
	 */ 
	@Column
	private String product_first_no;
	public String getProduct_first_no() {
		return this.product_first_no;
	}
	public void setProduct_first_no(String product_first_no) {
		this.product_first_no = product_first_no;
	}

	/** 
	 * 品名
	 */ 
	@Column
	private String product_second_name;
	public String getProduct_second_name() {
		return this.product_second_name;
	}
	public void setProduct_second_name(String product_second_name) {
		this.product_second_name = product_second_name;
	}

	/** 
	 * 品名编号
	 */ 
	@Column
	private String product_second_no;
	public String getProduct_second_no() {
		return this.product_second_no;
	}
	public void setProduct_second_no(String product_second_no) {
		this.product_second_no = product_second_no;
	}

	/** 
	 * 牌号
	 */ 
	@Column
	private String steel_name;
	public String getSteel_name() {
		return this.steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	/** 
	 * 牌号编号
	 */ 
	@Column
	private String steel_no;
	public String getSteel_no() {
		return this.steel_no;
	}
	public void setSteel_no(String steel_no) {
		this.steel_no = steel_no;
	}

	/** 
	 * 厚
	 */ 
	@Column
	private Double thick;
	public Double getThick() {
		return this.thick;
	}
	public void setThick(Double thick) {
		this.thick = thick;
	}

	/** 
	 * 宽
	 */ 
	@Column
	private Double width;
	public Double getWidth() {
		return this.width;
	}
	public void setWidth(Double width) {
		this.width = width;
	}

	/** 
	 * 长
	 */ 
	@Column
	private Double length;
	public Double getLength() {
		return this.length;
	}
	public void setLength(Double length) {
		this.length = length;
	}

	/** 
	 * 单价
	 */ 
	@Column
	private Double price;
	public Double getPrice() {
		return this.price;
	}
	public void setPrice(Double price) {
		this.price = price;
	}

	/** 
	 * 重量
	 */ 
	@Column
	private Double weight;
	public Double getWeight() {
		return this.weight;
	}
	public void setWeight(Double weight) {
		this.weight = weight;
	}

	/** 
	 * 仓库编号
	 */ 
	@Column
	private String warehouse_no;
	public String getWarehouse_no() {
		return this.warehouse_no;
	}
	public void setWarehouse_no(String warehouse_no) {
		this.warehouse_no = warehouse_no;
	}

	/** 
	 * 仓库名称
	 */ 
	@Column
	private String warehouse_name;
	public String getWarehouse_name() {
		return this.warehouse_name;
	}
	public void setWarehouse_name(String warehouse_name) {
		this.warehouse_name = warehouse_name;
	}

	/** 
	 * 状态
	 */ 
	@Column
	private String valid_flag;
	public String getValid_flag() {
		return this.valid_flag;
	}
	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * null
	 */ 
	@Column
	private String create_man_no;
	public String getCreate_man_no() {
		return this.create_man_no;
	}
	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	/** 
	 * null
	 */ 
	@Column
	private String create_man_name;
	public String getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * null
	 */ 
	@Column
	private String update_man_no;
	public String getUpdate_man_no() {
		return this.update_man_no;
	}
	public void setUpdate_man_no(String update_man_no) {
		this.update_man_no = update_man_no;
	}

	/** 
	 * null
	 */ 
	@Column
	private String update_man_name;
	public String getUpdate_man_name() {
		return this.update_man_name;
	}
	public void setUpdate_man_name(String update_man_name) {
		this.update_man_name = update_man_name;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/**
	 * 交货状态
	 */
	@Column
	private String delivery_state_desc;
	
	/**
	 * 交货状态编码
	 */
	@Column
	private String delivery_state_code;
	public String getDelivery_state_desc() {
		return delivery_state_desc;
	}
	public void setDelivery_state_desc(String delivery_state_desc) {
		this.delivery_state_desc = delivery_state_desc;
	}
	public String getDelivery_state_code() {
		return delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}
}
